class CommentarsController < ApplicationController

  layout 'backend'
  # GET /commentars
  # GET /commentars.xml
  def index
    @commentars = Commentar.all

    respond_to do |format|
      format.html # index.html.erb
      format.xml  { render :xml => @commentars }
    end
  end

  # GET /commentars/1
  # GET /commentars/1.xml
  def show
    @commentar = Commentar.find(params[:id])

    respond_to do |format|
      format.html # show.html.erb
      format.xml  { render :xml => @commentar }
    end
  end

  # GET /commentars/new
  # GET /commentars/new.xml
  def new
    @commentar = Commentar.new(:album_id => params[:album_id])

    respond_to do |format|
      format.html # new.html.erb
      format.xml  { render :xml => @commentar }
    end
  end

  # GET /commentars/1/edit
  def edit
    @commentar = Commentar.find(params[:id])
  end

  # POST /commentars
  # POST /commentars.xml
  def create
    @commentar = Commentar.new(params[:commentar])

    respond_to do |format|
      if @commentar.save
        format.html { redirect_to(:controller => 'users', :action => 'show', :notice => 'Commentar wurde erfolgreich angelegt.') }
        format.xml  { render :xml => @commentar, :status => :created, :location => @commentar }
      else
        format.html { render :action => "new" }
        format.xml  { render :xml => @commentar.errors, :status => :unprocessable_entity }
      end
    end
  end

  # PUT /commentars/1
  # PUT /commentars/1.xml
  def update
    @commentar = Commentar.find(params[:id])

    respond_to do |format|
      if @commentar.update_attributes(params[:commentar])
        format.html { redirect_to(@commentar, :notice => 'Commentar was successfully updated.') }
        format.xml  { head :ok }
      else
        format.html { render :action => "edit" }
        format.xml  { render :xml => @commentar.errors, :status => :unprocessable_entity }
      end
    end
  end

  # DELETE /commentars/1
  # DELETE /commentars/1.xml
  def destroy
    @commentar = Commentar.find(params[:id])
    @commentar.destroy

    respond_to do |format|
      format.html { redirect_to(commentars_url) }
      format.xml  { head :ok }
    end
  end
end
