class GeschlechtsController < ApplicationController

  layout 'backend'
  # GET /geschlechts
  # GET /geschlechts.xml
  def index
    @geschlechts = Geschlecht.all

    respond_to do |format|
      format.html # index.html.erb
      format.xml  { render :xml => @geschlechts }
    end
  end

  # GET /geschlechts/1
  # GET /geschlechts/1.xml
  def show
    @geschlecht = Geschlecht.find(params[:id])

    respond_to do |format|
      format.html # show.html.erb
      format.xml  { render :xml => @geschlecht }
    end
  end

  # GET /geschlechts/new
  # GET /geschlechts/new.xml
  def new
    @geschlecht = Geschlecht.new

    respond_to do |format|
      format.html # new.html.erb
      format.xml  { render :xml => @geschlecht }
    end
  end

  # GET /geschlechts/1/edit
  def edit
    @geschlecht = Geschlecht.find(params[:id])
  end

  # POST /geschlechts
  # POST /geschlechts.xml
  def create
    @geschlecht = Geschlecht.new(params[:geschlecht])

    respond_to do |format|
      if @geschlecht.save
        format.html { redirect_to(@geschlecht, :notice => 'Geschlecht was successfully created.') }
        format.xml  { render :xml => @geschlecht, :status => :created, :location => @geschlecht }
      else
        format.html { render :action => "new" }
        format.xml  { render :xml => @geschlecht.errors, :status => :unprocessable_entity }
      end
    end
  end

  # PUT /geschlechts/1
  # PUT /geschlechts/1.xml
  def update
    @geschlecht = Geschlecht.find(params[:id])

    respond_to do |format|
      if @geschlecht.update_attributes(params[:geschlecht])
        format.html { redirect_to(@geschlecht, :notice => 'Geschlecht was successfully updated.') }
        format.xml  { head :ok }
      else
        format.html { render :action => "edit" }
        format.xml  { render :xml => @geschlecht.errors, :status => :unprocessable_entity }
      end
    end
  end

  # DELETE /geschlechts/1
  # DELETE /geschlechts/1.xml
  def destroy
    @geschlecht = Geschlecht.find(params[:id])
    @geschlecht.destroy

    respond_to do |format|
      format.html { redirect_to(geschlechts_url) }
      format.xml  { head :ok }
    end
  end
end
