class UsersController < ApplicationController

  layout 'backend'

  before_filter :require_no_user, :only => [:new, :create]
  before_filter :require_user, :only => [:show, :edit, :update]



  def new
    @user = User.new
  end

  def create
    @user = User.new(params[:user])

    if @user.save
      flash[:notice] = "es wurde eine neue Account erfolgreich regestriert!"
      redirect_to(@user)      
    else
      render :action => :new
    end
  end

  
  def show
    @user = @current_user
    #@user = User.find(params[:id])
  end

  def edit
    #@user = @current_user
    @user = User.find(params[:id])
  end
  
  

  def update
    @user = User.find(params[:id])
    #@user = @current_user

    respond_to do |format|
      if @user.update_attributes(params[:user])
        format.html { redirect_to(@user, :notice => 'User was successfully updated.') }
        format.xml  { head :ok }
      else
        format.html { render :action => "edit" }
        format.xml  { render :xml => @user.errors, :status => :unprocessable_entity }
      end
    end
  end


  def destroy
    @user = User.find(params[:id])
    @user.destroy

    respond_to do |format|
      format.html { redirect_to(users_url) }
      format.xml  { head :ok }
    end
  end

#  def index
#    @users = User.all
#
#    respond_to do |format|
#      format.html # index.html.erb
#      format.xml  { render :xml => @users }
#    end
#  end

  def live_search
    if params[:searchtext]=="" then
      @albums = Album.find_by_sql "SELECT * FROM albums"
    else
      sql="SELECT * FROM albums WHERE Name LIKE '%" + params[:searchtext]+"%' OR Regisseur LIKE '%" + params[:searchtext]+"%'  "
      @album = Album.find_by_sql( sql )
    end
    respond_to do |format|
      format.html {render :partial => "live_search.html"}
      format.xml  { render :xml => @album }
    end

  end

end
