class VerlagesController < ApplicationController

  layout 'backend'
  # GET /verlages
  # GET /verlages.xml
  def index
    @verlages = Verlage.all

    respond_to do |format|
      format.html # index.html.erb
      format.xml  { render :xml => @verlages }
    end
  end

  # GET /verlages/1
  # GET /verlages/1.xml
  def show
    @verlage = Verlage.find(params[:id])

    respond_to do |format|
      format.html # show.html.erb
      format.xml  { render :xml => @verlage }
    end
  end

  # GET /verlages/new
  # GET /verlages/new.xml
  def new
    @verlage = Verlage.new

    respond_to do |format|
      format.html # new.html.erb
      format.xml  { render :xml => @verlage }
    end
  end

  # GET /verlages/1/edit
  def edit
    @verlage = Verlage.find(params[:id])
  end

  # POST /verlages
  # POST /verlages.xml
  def create
    @verlage = Verlage.new(params[:verlage])

    respond_to do |format|
      if @verlage.save
        format.html { redirect_to(@verlage, :notice => 'Verlage was successfully created.') }
        format.xml  { render :xml => @verlage, :status => :created, :location => @verlage }
      else
        format.html { render :action => "new" }
        format.xml  { render :xml => @verlage.errors, :status => :unprocessable_entity }
      end
    end
  end

  # PUT /verlages/1
  # PUT /verlages/1.xml
  def update
    @verlage = Verlage.find(params[:id])

    respond_to do |format|
      if @verlage.update_attributes(params[:verlage])
        format.html { redirect_to(@verlage, :notice => 'Verlage was successfully updated.') }
        format.xml  { head :ok }
      else
        format.html { render :action => "edit" }
        format.xml  { render :xml => @verlage.errors, :status => :unprocessable_entity }
      end
    end
  end

  # DELETE /verlages/1
  # DELETE /verlages/1.xml
  def destroy
    @verlage = Verlage.find(params[:id])
    @verlage.destroy

    respond_to do |format|
      format.html { redirect_to(verlages_url) }
      format.xml  { head :ok }
    end
  end
end
